Create Submission
curl --request POST \
--url https://api.swoogo.com/api/v1/submissions/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data event_id=1 \
--data submitter_id=1 \
--data date= \
--data end_time= \
--data 'name=The Mighty Yangtze River' \
--data start_time=import requests
url = "https://api.swoogo.com/api/v1/submissions/create"
payload = {
"event_id": "1",
"submitter_id": "1",
"date": "",
"end_time": "",
"name": "The Mighty Yangtze River",
"start_time": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
event_id: '1',
submitter_id: '1',
date: '',
end_time: '',
name: 'The Mighty Yangtze River',
start_time: ''
})
};
fetch('https://api.swoogo.com/api/v1/submissions/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2022-06-26 14:30:00",
"updated_at": "2022-06-26 14:30:00"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Call for Speaker Submissions
Create Submission
Creates a new speaker submission for an event’s Call for Speakers program. Provide the event_id, session topic, abstract, and speaker contact information. The submission enters the review pipeline where it can be evaluated, scored, and accepted or rejected.
POST
/
submissions
/
create
Create Submission
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Body
application/x-www-form-urlencoded
⌘I